import { Extension } from "@noah-i/core";
import { name, uuid, displayName, version, description } from "../package.json";
import { TestCard } from "./cards";

const ext: Extension = {
  name,
  displayName,
  version,
  uuid,
  desc: description,
  async load(ctx) {
    console.log("on load");
    ctx.registerWorkcard(TestCard as any);
  },
  unload() {
    console.log("on unload");
  }
};

export default ext;
